1. Form submissions
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
      GET
    • Get a specific form's submissions
      GET
    • Update many form submissions
      POST
    • Delete many form submissions
      POST
  1. Form submissions

Get all form submissions

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
GET
/form-submissions

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-35.elogii.com/form-submissions' \
--header 'Authorization: <api-key>'
Response Response Example
[
    {
        "_id": "67854e49ad2b0de4ba667925",
        "organization": "64706d34cb58b5e134516000",
        "path": "64706d34cb58b5e1345160d2",
        "form": {
            "_id": "678546b690e9f4dac480b507",
            "info": {
                "_id": "678546b690e9f4dac480b507",
                "uid": "FORM-AW4768RG",
                "name": "Form A",
                "tags": [],
                "submissionOptions": {
                    "sendToEmail": false
                }
            }
        },
        "tags": [],
        "submittedBy": {
            "_id": "6715f44204c0613d45adec25",
            "actor": "6715f44204c0613d45adec2d",
            "info": {
                "username": "driver2"
            }
        },
        "data": {
            "patternInput-1736787732580": "test@gmail.com"
        },
        "history": [
            {
                "data": {
                    "event": "created"
                },
                "actor": {
                    "requestId": "1736789577102:ip-10-0-160-65.eu-west-1.compute.internal:25:m5v3ulsp:30539",
                    "organizationId": "64706d34cb58b5e134516000",
                    "organizationSlug": "test",
                    "userId": "6715f44204c0613d45adec25",
                    "userType": 20,
                    "userLevel": 30,
                    "actorId": "6715f44204c0613d45adec2d",
                    "action": "FormSubmissions.create",
                    "internal": true
                }
            }
        ],
        "meta": {
            "task": {
                "_id": "67854d3dad2b0de4ba6674fb",
                "info": {
                    "uid": "T-X0RJ1XAP"
                }
            },
            "action": {
                "uid": "TA-7C5CEQQB"
            }
        },
        "uid": "FSUB-GTQXULES",
        "submissionTimestamp": 1736789577106,
        "createdAt": "2025-01-13T17:32:57.107Z",
        "updatedAt": "2025-01-13T17:32:57.107Z",
        "__v": 0
    },
    {
        "_id": "67854ef4dfcf6ef4ace7fabd",
        "organization": "64706d34cb58b5e134516000",
        "path": "64706d34cb58b5e1345160d2",
        "form": {
            "_id": "678546b690e9f4dac480b507",
            "info": {
                "_id": "678546b690e9f4dac480b507",
                "uid": "FORM-AW4768RG",
                "name": "Form B",
                "tags": [],
                "submissionOptions": {
                    "sendToEmail": false
                }
            }
        },
        "tags": [],
        "submittedBy": {
            "_id": "6715f44204c0613d45adec25",
            "actor": "6715f44204c0613d45adec2d",
            "info": {
                "username": "driver2"
            }
        },
        "data": {
            "patternInput-1736787732580": "stephanie"
        },
        "history": [
            {
                "data": {
                    "event": "created"
                },
                "actor": {
                    "requestId": "1736789748951:ip-10-0-144-208.eu-west-1.compute.internal:2440:m5ut20x8:66321",
                    "organizationId": "64706d34cb58b5e134516000",
                    "organizationSlug": "test",
                    "userId": "6715f44204c0613d45adec25",
                    "userType": 20,
                    "userLevel": 30,
                    "actorId": "6715f44204c0613d45adec2d",
                    "action": "FormSubmissions.create",
                    "internal": true
                }
            }
        ],
        "meta": {
            "task": {
                "_id": "67854e9ea6bdb699f6e5251c",
                "info": {
                    "uid": "T-MQUFUDAU"
                }
            },
            "action": {
                "uid": "TA-LDD4VQR5"
            }
        },
        "uid": "FSUB-P7GRYUPZ",
        "submissionTimestamp": 1736789748955,
        "createdAt": "2025-01-13T17:35:48.956Z",
        "updatedAt": "2025-01-13T17:35:48.956Z",
        "__v": 0
    },
    {
        "_id": "67855001fd231fc63c566268",
        "organization": "64706d34cb58b5e1345160d2",
        "path": "64706d34cb58b5e1345160d2",
        "form": {
            "_id": "678546b690e9f4dac480b507",
            "info": {
                "_id": "678546b690e9f4dac480b507",
                "uid": "FORM-AW4768RG",
                "name": "Form C",
                "tags": [],
                "submissionOptions": {
                    "sendToEmail": false
                }
            }
        },
        "tags": [],
        "submittedBy": {
            "_id": "6715f44204c0613d45adec25",
            "actor": "6715f44204c0613d45adec2d",
            "info": {
                "username": "driver2"
            }
        },
        "data": {
            "patternInput-1736787732580": "kimani"
        },
        "history": [
            {
                "data": {
                    "event": "created"
                },
                "actor": {
                    "requestId": "1736790017914:ip-10-0-160-65.eu-west-1.compute.internal:25:m5v3ulsp:31091",
                    "organizationId": "64706d34cb58b5e134516000",
                    "organizationSlug": "test",
                    "userId": "6715f44204c0613d45adec25",
                    "userType": 20,
                    "userLevel": 30,
                    "actorId": "6715f44204c0613d45adec2d",
                    "action": "FormSubmissions.create",
                    "internal": true
                }
            }
        ],
        "meta": {
            "task": {
                "_id": "67854fc1a6bdb699f6e52855",
                "info": {
                    "uid": "T-GCJQIRG5"
                }
            },
            "action": {
                "uid": "TA-5BSA3FLF"
            }
        },
        "uid": "FSUB-FO4HWGWC",
        "submissionTimestamp": 1736790017918,
        "createdAt": "2025-01-13T17:40:17.918Z",
        "updatedAt": "2025-01-13T17:40:17.918Z",
        "__v": 0
    }
]
Modified at 2026-02-25 19:51:19
Previous
Delete many forms
Next
Get a specific form's submissions
Built with